#include <iostream>

using namespace std;
int N;
long long A[500005];
int main()
{
    cin>>N;
    for(int i=0;i<N;i++)
        cin>>A[i];
    int rez1=0;
    int rez2=0;
    int k=0;
    rez1=A[0]&A[1];
    for(int i=2;i<N;i++){
        rez1=rez1&A[i];
    }
    rez2=A[0]^A[1];

    for(int i=2;i<N;i++){
        rez2=rez2^A[i];
    }
    cout 1;
    return 0;
}